RDKit: Queries::OrQuery< MatchFuncArgType, DataFuncArgType, needsConversion > Class Template Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Queries::OrQuery< MatchFuncArgType, DataFuncArgType, needsConversion > Class Template Reference

a Query implementing AND: requires any child to be `true` More...

`#include <OrQuery.h>`

Inheritance diagram for Queries::OrQuery< MatchFuncArgType, DataFuncArgType, needsConversion >:

## Public Types
typedef Query< MatchFuncArgType, DataFuncArgType, needsConversion > | BASE
Public Types inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
typedef boost::shared_ptr< Query< MatchFuncArgType, DataFuncArgType, needsConversion > > | CHILD_TYPE
typedef std::vector< CHILD_TYPE > | CHILD_VECT
typedef CHILD_VECT::iterator | CHILD_VECT_I
typedef CHILD_VECT::const_iterator | CHILD_VECT_CI

## Public Member Functions
| OrQuery ()
bool | Match (const DataFuncArgType what) const
| returns whether or not we match the argument More...
Query< MatchFuncArgType, DataFuncArgType, needsConversion > * | copy () const
| returns a copy of this Query More...
Public Member Functions inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
| Query ()
virtual | ~Query ()
void | setNegation (bool what)
| sets whether or not we are negated More...
bool | getNegation () const
| returns whether or not we are negated More...
void | setDescription (const std::string &descr)
| sets our text description More...
void | setDescription (const char *descr)
const std::string & | getDescription () const
| returns our text description More...
virtual std::string | getFullDescription () const
| returns a fuller text description More...
void | setMatchFunc (bool(*what)(MatchFuncArgType))
| sets our match function More...
void | setDataFunc (MatchFuncArgType(*what)(DataFuncArgType))
| sets our data function More...
void | addChild (CHILD_TYPE child)
| adds a child to our list of children More...
CHILD_VECT_CI | beginChildren () const
| returns an iterator for the beginning of our child vector More...
CHILD_VECT_CI | endChildren () const
| returns an iterator for the end of our child vector More...

## Additional Inherited Members
Public Attributes inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
bool(*)(MatchFuncArgType) | getMatchFunc () const
| returns our match function: More...
MatchFuncArgType(*)(DataFuncArgType) | getDataFunc () const
| returns our data function: More...
Protected Member Functions inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
MatchFuncArgType | TypeConvert (MatchFuncArgType what, Int2Type< false >) const
| calls our `dataFunc` (if it's set) on `what` and returns the result, otherwise returns `what` More...
MatchFuncArgType | TypeConvert (DataFuncArgType what, Int2Type< true >) const
| calls our `dataFunc` (which must be set) on `what` and returns the More...
Protected Attributes inherited from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >
std::string | d_description
CHILD_VECT | d_children
bool | df_negate
bool(* | d_matchFunc )(MatchFuncArgType)
MatchFuncArgType(* | d_dataFunc )(DataFuncArgType)

## Detailed Description

### template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>
class Queries::OrQuery< MatchFuncArgType, DataFuncArgType, needsConversion >

a Query implementing AND: requires any child to be `true`

Definition at line 19 of file OrQuery.h.

## Member Typedef Documentation

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

typedef Query<MatchFuncArgType, DataFuncArgType, needsConversion> Queries::OrQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::BASE

Definition at line 22 of file OrQuery.h.

## Constructor & Destructor Documentation

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Queries::OrQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::OrQuery | ( |  | ) |
| inline

Definition at line 23 of file OrQuery.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::df_negate.

## Member Function Documentation

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

Query<MatchFuncArgType, DataFuncArgType, needsConversion>* Queries::OrQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy | ( |  | ) | const
| inlinevirtual

returns a copy of this Query

Notes:

- the caller is responsible for `delete`ing the result

Reimplemented from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 39 of file OrQuery.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::addChild(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::beginChildren(), Queries::OrQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::d_description, Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::endChildren(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::getNegation(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::setNegation().

Referenced by Queries::OrQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::copy().

template<class MatchFuncArgType, class DataFuncArgType = MatchFuncArgType, bool needsConversion = false>

bool Queries::OrQuery< MatchFuncArgType, DataFuncArgType, needsConversion >::Match | ( | const DataFuncArgType | arg | ) | const
| inlinevirtual

returns whether or not we match the argument

Reimplemented from Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >.

Definition at line 25 of file OrQuery.h.

References Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::beginChildren(), Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::endChildren(), and Queries::Query< MatchFuncArgType, DataFuncArgType, needsConversion >::getNegation().

The documentation for this class was generated from the following file:

- OrQuery.h